Bug 113585 - Persistence error creating an Article type after perm denorm land.
Persistence error creating an Article type after perm denorm land.
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: other (Show other bugs)
nightly
All Linux
medium Severity medium
: ---
: ---
Assigned To: Aram Kananov
Jon Orris
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-01-15 11:23 EST by Jon Orris
Modified: 2007-04-18 13:01 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-01-26 16:56:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Jon Orris 2004-01-15 11:23:44 EST
Description of problem:

@39398/Postgres
Creating an Article in CMS causes a persistence error:

2004-01-15 11:12:24,518 [004-0] ERROR rdbms.RDBMSEngine - [2003]
2004-01-15 11:12:24,519 [004-0] ERROR rdbms.RDBMSEngine - [NUMERIC]
2004-01-15 11:12:24,521 [004-0] ERROR rdbms.RDBMSEngine -
{start__.id=2003}
2004-01-15 11:12:24,557 [004-0] FATAL logging.ErrorReport - 
-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 172.16.64.111:8f48a4:fa1a4e046b -*-*-*-
-*-*-*- Message 1: com.caucho.jsp.JspLineException: ERROR:  More than
one tuple returned by a subselect used as an expression.
 -*-*-*-
-*-*-*- Message 2: com.redhat.persistence.engine.rdbms.RDBMSEngine$4:
ERROR:  More than one tuple returned by a subselect used as an expression.
 -*-*-*-

-*-*-*- Section: CCM User -*-*-*-
Party ID: 2003
Email address: author@cms.com
Family name: not available
Given name: not available
Screen name: null

-*-*-*- Section: System properties -*-*-*-
ccm.home: /var/ccm-devel/web/jorris/rickshaw
com.arsdigita.util.Assert.enabled: true
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.print.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/usr/share/java/junit.jar:/opt/oracle/product/9.2.0.1/jdbc/lib/classes12.zip:/opt/oracle/product/9.2.0.1/jdbc/lib/classes12.zip:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/usr/java/j2sdk1.4.2_03/lib/tools.jar:/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 48.0
java.endorsed.dirs: /usr/java/j2sdk1.4.2_03/jre/lib/endorsed
java.ext.dirs:
/usr/java/j2sdk1.4.2_03/jre/lib/ext:/usr/java/j2sdk1.4.2_03/lib/ext:/usr/share/ccm-tools/lib/security
java.home: /usr/java/j2sdk1.4.2_03/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/java/j2sdk1.4.2_03/jre/lib/i386/client:/usr/java/j2sdk1.4.2_03/jre/lib/i386:/usr/java/j2sdk1.4.2_03/jre/../lib/i386:/opt/oracle/product/9.2.0.1/lib:/lib:/usr/lib:/usr/local/lib:libexec
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.4.2_03-b02
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.4
java.util.prefs.PreferencesFactory:
java.util.prefs.FileSystemPreferencesFactory
java.vendor: Sun Microsystems Inc.
java.vendor.url: http://java.sun.com/
java.vendor.url.bug: http://java.sun.com/cgi-bin/bugreport.cgi
java.version: 1.4.2_03
java.vm.info: mixed mode
java.vm.name: Java HotSpot(TM) Client VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: Sun Microsystems Inc.
java.vm.version: 1.4.2_03-b02
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory:
org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
com.icl.saxon.TransformerFactoryImpl
line.separator: 

log4j.configuration:
file:///var/ccm-devel/web/jorris/rickshaw/conf/log4j.properties
os.arch: i386
os.name: Linux
os.version: 2.4.21-4.0.2.EL
path.separator: :
resin.home: /opt/resin/2.1.4
sun.arch.data.model: 32
sun.boot.class.path:
/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/usr/java/j2sdk1.4.2_03/jre/lib/i18n.jar:/usr/java/j2sdk1.4.2_03/jre/lib/sunrsasign.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jsse.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jce.jar:/usr/java/j2sdk1.4.2_03/jre/lib/charsets.jar:/usr/java/j2sdk1.4.2_03/jre/classes
sun.boot.library.path: /usr/java/j2sdk1.4.2_03/jre/lib/i386
sun.cpu.endian: little
sun.cpu.isalist: 
sun.io.unicode.encoding: UnicodeLittle
sun.java2d.fontpath: 
sun.os.patch.level: unknown
user.country: US
user.dir: /opt/resin/2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.timezone: America/New_York
waf.workflow.simple.alerts_enabled: true

-*-*-*- Section: Stack trace -*-*-*-
com.redhat.persistence.engine.rdbms.RDBMSEngine$4: ERROR:  More than
one tuple returned by a subselect used as an expression.

	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:514)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:430)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.flush(RDBMSEngine.java:395)
	at com.redhat.persistence.Session.flushInternal(Session.java:617)
	at com.redhat.persistence.Session.flush(Session.java:562)
	at com.redhat.persistence.Cursor.next(Cursor.java:107)
	at com.redhat.persistence.Session.retrieve(Session.java:118)
	at com.arsdigita.persistence.Session.retrieve(Session.java:343)
	at com.arsdigita.domain.DomainObject.<init>(DomainObject.java:128)
	at com.arsdigita.mimetypes.MimeType.<init>(MimeType.java:69)
	at com.arsdigita.mimetypes.MimeType.loadMimeType(MimeType.java:226)
	at
com.arsdigita.cms.ui.authoring.TextAssetBody$PageTextForm.process(TextAssetBody.java:462)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:490)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:464)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:475)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:342)
	at com.arsdigita.bebop.Form.process(Form.java:440)
	at com.arsdigita.bebop.Form.respond(Form.java:281)
	at com.arsdigita.bebop.PageState.respond(PageState.java:367)
	at com.arsdigita.bebop.Page.process(Page.java:701)
	at com.arsdigita.bebop.Page.process(Page.java:683)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:737)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:280)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:80)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:75)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:294)
	at
_packages._content_22dsection._www._admin._item__jsp._jspService(_item__jsp.java:61)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:485)
	at
com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:193)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:222)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:235)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:136)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:176)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:147)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:291)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:200)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:184)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:131)
	at
com.arsdigita.web.DispatcherServlet.doService(DispatcherServlet.java:123)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:176)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:147)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:291)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at
com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:534)


-*-*-*- Section: HTTP headers -*-*-*-
Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg,
application/vnd.ms-powerpoint, application/vnd.ms-excel,
application/msword, */*
Accept-Encoding: gzip, deflate
Accept-Language: en-us
Cache-Control: no-cache
Connection: Keep-Alive
Content-Length: 3005
Content-Type: multipart/form-data;
boundary=---------------------------7d4c6620154
Cookie: JSESSIONID=ag2B7DD0qd0g;
ad_user_login=2003!1074184320565!nx/vMPjQFTyrXh1Euuibpg==
Host: goodeats.boston.redhat.com:9004
Referer:
http://goodeats.boston.redhat.com:9004/ccm/articles/admin/item.jsp?bbp.2830.d=asc&bbp.31.sel=2001&bbp.2536.d=asc&bbp.s=2232&bbp.209.sel=153&bbp.1739.sel=1051&g11n.enc=UTF-8&bbp.3.pane=1&bbp.1865.sel=1057&bbp.e=s&bbp.v=text&bbp.1975.sel=1062&bbp.1620.sel=1045&bbp.2843.d=asc&bbp.2416.sel=1076&bbp.341.sel=159&bbp.2198.sel=1070&bbp.985.sel=172&bbp.2189.col=1&bbp.i=d0.4.2.a.1.23.1.2r.1.3m.1.e0.1.3u.1.e8.1.3e.1.3a.1.3i.1.2z.1.67.1.j.1.5h.1&bbp.2189.row=2016&bbp.1497.sel=179&bbp.108.sel=148&bbp.845.sel=166&item_id=2011
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@11ba877 = {
m_page = com.arsdigita.cms.ui.ContentItemPage@1974439,
m_request = com.arsdigita.dispatcher.MultipartHttpServletRequest@1b5dc81,
m_response = com.caucho.server.http.HttpResponse@d1287b,
m_pageState = com.arsdigita.bebop.FormData@1b8aff7 = {
m_parameterDataValues = {bbp.2830.d={asc, []}, bbp.2679.sel={null,
[]}, bbp.2424.row={null, []}, bbp.1349.col={null, []},
bbp.1508.sel={null, []}, bbp.2156.sel={null, []}, bbp.31.sel={2001,
[]}, bbp.58.row={null, []}, bbp.2536.row={null, []},
bbp.2524.sel={null, []}, bbp.1611.col={null, []}, bbp.116.col={null,
[]}, bbp.1167.col={null, []}, bbp.1651.row={null, []},
bbp.9.stack={null, []}, bbp.168.sel={null, []}, bbp.2830.c={null, []},
bbp.2536.d={asc, []}, bbp.255.sel={null, []}, bbp.2719.sel={null, []},
bbp.2278.col={null, []}, bbp.2843.mid={null, []}, bbp.799.col={null,
[]}, bbp.2731.sel={null, []}, bbp.687.row={null, []},
bbp.2206.row={null, []}, bbp.299.sel={null, []},
bbp.1012.control={null, []}, bbp.2754.col={null, []},
bbp.697.col={null, []}, moveSection={null, []}, bbp.84.sel={null, []},
bbp.799.row={null, []}, bbp.222.sel={null, []}, bbp.2556.stack={null,
[]}, bbp.2375.sel={null, []}, bbp.1841.sel={null, []},
bbp.1095.col={null, []}, bbp.2032.image_asset={null, []},
bbp.853.col={null, []}, bbp.2108.kw={null, []}, bbp.s={2228, []},
bbp.209.sel={153, []}, bbp.2429.sel={null, []}, bbp.1456.sel={null,
[]}, bbp.2172.sel={null, []}, bbp.1739.sel={1051, []},
bbp.1986.sel={null, []}, bbp.2798.col={null, []}, bbp.2051.kw={null,
[]}, g11n.enc={UTF-8, []}, bbp.1510.sel={null, []}, bbp.42.sel={null,
[]}, bbp.2576.row={null, []}, bbp.2229.row={null, []},
bbp.1595.sel={null, []}, bbp.1651.col={null, []}, bbp.1873.col={null,
[]}, bbp.2407.row={null, []}, bbp.1698.sel={null, []},
bbp.1866.stack={null, []}, bbp.1750.sel={null, []},
bbp.1966.col={null, []}, bbp.2704.sel={null, []}, bbp.2278.row={null,
[]}, bbp.1611.row={null, []}, bbp.938.row={null, []},
bbp.58.col={null, []}, bbp.184.sel={null, []}, bbp.1778.row={null,
[]}, bbp.2754.row={null, []}, bbp.2508.sel={null, []},
bbp.1693.col={null, []}, bbp.2830.o={null, []}, bbp.573.col={null,
[]}, bbp.996.sel={null, []}, bbp.896.row={null, []}, bbp.3.pane={1,
[]}, bbp.2536.o={null, []}, bbp.1505.row={null, []},
bbp.1856.col={null, []}, bbp.252.col={null, []}, bbp.1878.sel={null,
[]}, bbp.2391.sel={null, []}, bbp.1664.sel={null, []},
bbp.1342.type={null, []}, bbp.2038.sel={null, []}, bbp.1535.sel={null,
[]}, bbp.1498.stack={null, []}, bbp.573.row={null, []},
bbp.352.sel={null, []}, bbp.1876.sel={null, []}, bbp.22.col={null,
[]}, bbp.220.sel={null, []}, bbp.2255.chim={null, []},
bbp.2627.row={null, []}, bbp.71.sel={null, []}, bbp.611.row={null,
[]}, bbp.1983.row={null, []}, bbp.2151.row={null, []},
bbp.1865.sel={1057, []}, bbp.163.col={null, []}, bbp.2199.stack={null,
[]}, bbp.515.col={null, []}, bbp.294.col={null, []},
content_type={null, []}, bbp.32.stack={null, []}, bbp.332.row={null,
[]}, bbp.2424.col={null, []}, bbp.2270.kw={null, []},
bbp.2587.col={null, []}, bbp.2843.o={null, []}, bbp.1988.sel={null,
[]}, bbp.943.sel={null, []}, bbp.1574.col={null, []},
bbp.1820.row={null, []}, bbp.e={null, []}, bbp.v={null, []},
bbp.2257.sel={null, []}, bbp.116.row={null, []}, bbp.1983.col={null,
[]}, bbp.265.sel={null, []}, bbp.2627.col={null, []},
bbp.1966.row={null, []}, bbp.2013.sel={null, []}, bbp.1856.row={null,
[]}, bbp.2576.col={null, []}, bbp.993.col={null, []},
bbp.2553.stack={null, []}, bbp.909.sel={null, []}, bbp.349.col={null,
[]}, bbp.1654.sel={null, []}, bbp.1225.col={null, []},
bbp.2251.image_asset={null, []}, bbp.2743.stack={null, []},
bbp.611.col={null, []}, bbp.1628.col={null, []}, bbp.2815.col={null,
[]}, bbp.1975.sel={1062, []}, bbp.1778.col={null, []},
bbp.2695.sel={null, []}, bbp.1820.col={null, []}, bbp.1949.sel={null,
[]}, bbp.315.sel={null, []}, bbp.61.sel={null, []},
bbp.2232.sel={text, []}, bbp.354.sel={null, []}, bbp.2830.col={null,
[]}, bbp.858.sel={null, []}, bbp.39.col={null, []}, bbp.22.row={null,
[]}, bbp.1574.row={null, []}, bbp.1730.col={null, []},
bbp.2617.col={null, []}, bbp.1621.stack={null, []},
bbp.2617.row={null, []}, bbp.2116.col={null, []}, bbp.899.sel={null,
[]}, bbp.2370.row={null, []}, bbp.2838.sel={null, []},
bbp.294.row={null, []}, bbp.1263.col={null, []}, bbp.976.col={null,
[]}, bbp.2206.col={null, []}, bbp.109.stack={null, []},
bbp.44.sel={null, []}, bbp.1825.sel={null, []}, bbp.2151.col={null,
[]}, bbp.846.stack={null, []}, bbp.2503.row={null, []},
bbp.99.col={null, []}, bbp.2427.sel={null, []}, bbp.2229.col={null,
[]}, bbp.217.col={null, []}, bbp.2036.chim={null, []},
bbp.820.sel={null, []}, bbp.443.col={null, []}, bbp.210.stack={null,
[]}, bbp.938.col={null, []}, bbp.1620.sel={1045, []},
bbp.1633.sel={null, []}, bbp.2843.d={asc, []}, bbp.998.sel={null, []},
bbp.443.row={null, []}, bbp.2010.row={null, []}, bbp.1488.col={null,
[]}, bbp.332.col={null, []}, bbp.1532.row={null, []},
bbp.1505.col={null, []}, bbp.217.row={null, []}, bbp.2116.row={null,
[]}, bbp.1263.row={null, []}, bbp.2209.sel={null, []},
bbp.2059.row={null, []}, bbp.2536.col={null, []}, bbp.119.sel={null,
[]}, bbp.856.sel={null, []}, bbp.1451.col={null, []},
bbp.1791.sel={null, []}, bbp.1628.row={null, []}, imageParam={null,
[]}, bbp.2416.sel={1076, []}, bbp.2211.sel={null, []},
bbp.200.col={null, []}, bbp.1579.sel={null, []}, bbp.1752.sel={null,
[]}, bbp.1225.row={null, []}, bbp.252.row={null, []},
bbp.2078.chim={null, []}, bbp.1928.col={null, []}, bbp.2327.kw={null,
[]}, bbp.1747.col={null, []}, bbp.2448.row={null, []},
bbp.1545.sel={null, []}, bbp.2335.col={null, []}, bbp.804.sel={null,
[]}, bbp.2851.sel={null, []}, bbp.7.stack={null, []}, textParam={null,
[]}, bbp.836.row={null, []}, bbp.1532.col={null, []},
bbp.1488.row={null, []}, bbp.368.control={null, []},
bbp.2308.sel={null, []}, bbp.515.row={null, []}, bbp.1693.row={null,
[]}, bbp.342.stack={null, []}, bbp.1747.row={null, []},
bbp.1933.sel={null, []}, bbp.2587.row={null, []}, bbp.341.sel={159,
[]}, bbp.121.sel={null, []}, bbp.959.sel={null, []},
bbp.1095.row={null, []}, bbp.2198.sel={1070, []}, bbp.1730.row={null,
[]}, bbp.2023.sel={null, []}, bbp.2765.sel={null, []},
bbp.2370.col={null, []}, bbp.2089.sel={null, []}, bbp.896.col={null,
[]}, bbp.99.row={null, []}, bbp.200.row={null, []},
bbp.2790.stack={null, []}, bbp.2798.row={null, []},
bbp.2242.sel={null, []}, bbp.163.row={null, []}, bbp.976.row={null,
[]}, bbp.1740.stack={null, []}, bbp.2448.col={null, []},
bbp.853.row={null, []}, bbp.2407.col={null, []}, bbp.2663.sel={null,
[]}, bbp.985.sel={172, []}, bbp.986.stack={null, []},
bbp.1781.sel={null, []}, bbp.8.stack={null, []}, bbp.2010.col={null,
[]}, bbp.1631.sel={null, []}, bbp.1017.type={null, []},
bbp.2189.col={1, []}, bbp.993.row={null, []}, bbp.2815.row={null, []},
bbp.373.type={null, []}, bbp.2417.stack={null, []}, bbp.39.row={null,
[]}, bbp.1451.row={null, []}, bbp.349.row={null, []},
return_url={null, []}, bbp.1167.row={null, []}, bbp.1873.row={null,
[]}, bbp.690.type={null, []}, bbp.i={{4, 5, 16, 92, 192, 323, 828,
967, 1480, 1603, 1722, 1849, 1957, 2181, 2201, 2226, 2228, 2399}, []},
bbp.2297.chim={null, []}, bbp.1714.sel={null, []}, bbp.2189.row={2016,
[]}, bbp.836.col={null, []}, bbp.2059.col={null, []},
bbp.1472.sel={null, []}, bbp.2843.col={null, []}, bbp.1497.sel={179,
[]}, bbp.108.sel={148, []}, bbp.1976.stack={null, []},
bbp.2335.row={null, []}, bbp.845.sel={166, []}, bbp.2503.col={null,
[]}, item_id={2011, []}, bbp.1339.row={null, []}, bbp.1928.row={null,
[]}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@28a7f7,
m_locale = en_US,
m_isTransformed = true,
m_isValid = true,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = {4, 6, 7, 8, 9, 10, 17, 33, 34, 35, 38, 56, 57, 93, 94,
110, 111, 112, 115, 160, 193, 194, 195, 211, 212, 213, 216, 250, 251,
291, 324, 325, 326, 327, 343, 344, 345, 348, 370, 371, 382, 383, 384,
385, 386, 387, 388, 389, 390, 391, 392, 393, 689, 702, 703, 704, 705,
706, 796, 829, 830, 831, 847, 848, 849, 852, 894, 895, 935, 968, 969,
970, 971, 987, 988, 989, 992, 1014, 1015, 1034, 1035, 1036, 1037,
1038, 1039, 1040, 1041, 1042, 1043, 1044, 1045, 1341, 1354, 1355,
1356, 1357, 1358, 1448, 1481, 1482, 1483, 1499, 1500, 1501, 1504,
1530, 1531, 1571, 1604, 1605, 1606, 1622, 1623, 1624, 1627, 1649,
1650, 1690, 1723, 1724, 1725, 1741, 1742, 1743, 1746, 1776, 1777,
1817, 1850, 1851, 1867, 1868, 1869, 1872, 1925, 1958, 1959, 1960,
1961, 1977, 1978, 1979, 1982, 2008, 2009, 2035, 2036, 2050, 2076,
2077, 2078, 2107, 2148, 2180, 2182, 2183, 2184, 2200, 2202, 2205,
2226, 2227, 2254, 2255, 2269, 2295, 2296, 2297, 2326, 2367, 2400,
2401, 2402, 2418, 2419, 2420, 2423, 2443, 2444, 2445, 2446, 2500,
2548, 2549, 2550, 2551, 2552, 2554, 2555, 2556, 2557, 2558, 2559,
2560, 2594, 2595, 2596, 2597, 2738, 2739, 2740, 2741, 2744, 2745,
2788, 2789, 2790, 2808, 2809, 2823}
}
com.arsdigita.bebop.RequestLocal:
{com.arsdigita.cms.ui.authoring.TextPageBody$2@14906b9=[com.arsdigita.cms.TextAsset:{id=3001}],
com.arsdigita.bebop.Form$2@6a906f=,
com.arsdigita.cms.ui.ContentItemPage$ItemRequestLocal@8b2c94=[com.arsdigita.cms.contenttypes.Article:{id=2011}]M,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@19532fe=true}
com.arsdigita.cms.dispatcher.section:
[com.arsdigita.cms.ContentSection:{id=64}]
com.arsdigita.dispatcher.OriginalRequest:
com.caucho.server.http.DispatchRequest@70c52d
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@531740
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@f7bd29=null}
com.arsdigita.dispatcher.WrappedRequest:
com.arsdigita.dispatcher.MultipartHttpServletRequest@1b5dc81
com.arsdigita.kernel.ACSObject:2011:
[com.arsdigita.cms.contenttypes.Article:{id=2011}]M
com.arsdigita.web.BaseApplicationServlet.application_id: 64
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url:
/ccm/articles/admin/item.jsp?text_entry=%3CP%3EThis+is+the+body+text%3C%2FP%3E%0D%0A%3CP%3E%26nbsp%3B%3C%2FP%3E&bbp.3.pane=1&bbp.2830.d=asc&bbp.s=2228&bbp.209.sel=153&bbp.31.sel=2001&bbp.2189.col=1&bbp.341.sel=159&bbp.1739.sel=1051&bbp.2416.sel=1076&form.PageTextForm=visited&bbp.2198.sel=1070&bbp.2536.d=asc&g11n.enc=UTF-8&save=%C3%82%C2%A0%C3%82%C2%A0%C3%82%C2%A0Save%C3%82%C2%A0%C3%82%C2%A0%C3%82%C2%A0&bbp.i=d0.4.2.a.1.23.1.2r.1.3m.1.e0.1.3u.1.e8.1.3e.1.3a.1.3i.1.2z.1.67.1.j.1.o.1.1.1.4q.1&mime_type=text%2Fhtml&bbp.2189.row=2016&bbp.1975.sel=1062&bbp.1620.sel=1045&bbp.1497.sel=179&bbp.108.sel=148&bbp.1865.sel=1057&bbp.2843.d=asc&bbp.845.sel=166&item_id=2011&bbp.2232.sel=text&bbp.985.sel=172

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /__ccm__/servlet/content-section/admin/item.jsp
Query string: app-id=64
Method: POST
Remote user: null

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: ag2B7DD0qd0g (expires: -1)
ad_user_login: 2003!1074184320565!nx/vMPjQFTyrXh1Euuibpg== (expires: -1)
-*-*-*-*-*- End Error Report -*-*-*-*-*-

2004-01-15 11:12:24,580 [004-0] FATAL logging.ErrorReport - 
-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 172.16.64.111:8f48a4:fa1a4e0483 -*-*-*-
-*-*-*- Message 1: com.caucho.jsp.JspLineException: ERROR:  More than
one tuple returned by a subselect used as an expression.
 -*-*-*-
-*-*-*- Message 2: com.redhat.persistence.engine.rdbms.RDBMSEngine$4:
ERROR:  More than one tuple returned by a subselect used as an expression.
 -*-*-*-

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: System properties -*-*-*-
ccm.home: /var/ccm-devel/web/jorris/rickshaw
com.arsdigita.util.Assert.enabled: true
file.encoding: UTF-8
file.encoding.pkg: sun.io
file.separator: /
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.print.PSPrinterJob
java.class.path:
/home/boston/jorris/dev/lib/classes12.zip:/usr/share/java/junit.jar:/opt/oracle/product/9.2.0.1/jdbc/lib/classes12.zip:/opt/oracle/product/9.2.0.1/jdbc/lib/classes12.zip:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/usr/java/j2sdk1.4.2_03/lib/tools.jar:/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 48.0
java.endorsed.dirs: /usr/java/j2sdk1.4.2_03/jre/lib/endorsed
java.ext.dirs:
/usr/java/j2sdk1.4.2_03/jre/lib/ext:/usr/java/j2sdk1.4.2_03/lib/ext:/usr/share/ccm-tools/lib/security
java.home: /usr/java/j2sdk1.4.2_03/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/java/j2sdk1.4.2_03/jre/lib/i386/client:/usr/java/j2sdk1.4.2_03/jre/lib/i386:/usr/java/j2sdk1.4.2_03/jre/../lib/i386:/opt/oracle/product/9.2.0.1/lib:/lib:/usr/lib:/usr/local/lib:libexec
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.4.2_03-b02
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.4
java.util.prefs.PreferencesFactory:
java.util.prefs.FileSystemPreferencesFactory
java.vendor: Sun Microsystems Inc.
java.vendor.url: http://java.sun.com/
java.vendor.url.bug: http://java.sun.com/cgi-bin/bugreport.cgi
java.version: 1.4.2_03
java.vm.info: mixed mode
java.vm.name: Java HotSpot(TM) Client VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: Sun Microsystems Inc.
java.vm.version: 1.4.2_03-b02
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory:
org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory:
com.icl.saxon.TransformerFactoryImpl
line.separator: 

log4j.configuration:
file:///var/ccm-devel/web/jorris/rickshaw/conf/log4j.properties
os.arch: i386
os.name: Linux
os.version: 2.4.21-4.0.2.EL
path.separator: :
resin.home: /opt/resin/2.1.4
sun.arch.data.model: 32
sun.boot.class.path:
/usr/java/j2sdk1.4.2_03/jre/lib/rt.jar:/usr/java/j2sdk1.4.2_03/jre/lib/i18n.jar:/usr/java/j2sdk1.4.2_03/jre/lib/sunrsasign.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jsse.jar:/usr/java/j2sdk1.4.2_03/jre/lib/jce.jar:/usr/java/j2sdk1.4.2_03/jre/lib/charsets.jar:/usr/java/j2sdk1.4.2_03/jre/classes
sun.boot.library.path: /usr/java/j2sdk1.4.2_03/jre/lib/i386
sun.cpu.endian: little
sun.cpu.isalist: 
sun.io.unicode.encoding: UnicodeLittle
sun.java2d.fontpath: 
sun.os.patch.level: unknown
user.country: US
user.dir: /opt/resin/2.1.4
user.home: /home/boston/jorris
user.language: en
user.name: jorris
user.timezone: America/New_York
waf.workflow.simple.alerts_enabled: true

-*-*-*- Section: Stack trace -*-*-*-
com.redhat.persistence.engine.rdbms.RDBMSEngine$4: ERROR:  More than
one tuple returned by a subselect used as an expression.

	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:514)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.execute(RDBMSEngine.java:430)
	at
com.redhat.persistence.engine.rdbms.RDBMSEngine.flush(RDBMSEngine.java:395)
	at com.redhat.persistence.Session.flushInternal(Session.java:617)
	at com.redhat.persistence.Session.flush(Session.java:562)
	at com.redhat.persistence.Cursor.next(Cursor.java:107)
	at com.redhat.persistence.Session.retrieve(Session.java:118)
	at com.arsdigita.persistence.Session.retrieve(Session.java:343)
	at com.arsdigita.domain.DomainObject.<init>(DomainObject.java:128)
	at com.arsdigita.mimetypes.MimeType.<init>(MimeType.java:69)
	at com.arsdigita.mimetypes.MimeType.loadMimeType(MimeType.java:226)
	at
com.arsdigita.cms.ui.authoring.TextAssetBody$PageTextForm.process(TextAssetBody.java:462)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:490)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:464)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:475)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:342)
	at com.arsdigita.bebop.Form.process(Form.java:440)
	at com.arsdigita.bebop.Form.respond(Form.java:281)
	at com.arsdigita.bebop.PageState.respond(PageState.java:367)
	at com.arsdigita.bebop.Page.process(Page.java:701)
	at com.arsdigita.bebop.Page.process(Page.java:683)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:737)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:280)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:80)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:75)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:294)
	at
_packages._content_22dsection._www._admin._item__jsp._jspService(_item__jsp.java:61)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:485)
	at
com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:193)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:222)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:235)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:136)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:176)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:147)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:291)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at
com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:200)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:184)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:131)
	at
com.arsdigita.web.DispatcherServlet.doService(DispatcherServlet.java:123)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:176)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:147)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:291)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at
com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at
com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:534)


-*-*-*- Section: HTTP headers -*-*-*-
Accept: image/gif, image/x-xbitmap, image/jpeg, image/pjpeg,
application/vnd.ms-powerpoint, application/vnd.ms-excel,
application/msword, */*
Accept-Encoding: gzip, deflate
Accept-Language: en-us
Cache-Control: no-cache
Connection: Keep-Alive
Content-Length: 3005
Content-Type: multipart/form-data;
boundary=---------------------------7d4c6620154
Cookie: JSESSIONID=ag2B7DD0qd0g;
ad_user_login=2003!1074184320565!nx/vMPjQFTyrXh1Euuibpg==
Host: goodeats.boston.redhat.com:9004
Referer:
http://goodeats.boston.redhat.com:9004/ccm/articles/admin/item.jsp?bbp.2830.d=asc&bbp.31.sel=2001&bbp.2536.d=asc&bbp.s=2232&bbp.209.sel=153&bbp.1739.sel=1051&g11n.enc=UTF-8&bbp.3.pane=1&bbp.1865.sel=1057&bbp.e=s&bbp.v=text&bbp.1975.sel=1062&bbp.1620.sel=1045&bbp.2843.d=asc&bbp.2416.sel=1076&bbp.341.sel=159&bbp.2198.sel=1070&bbp.985.sel=172&bbp.2189.col=1&bbp.i=d0.4.2.a.1.23.1.2r.1.3m.1.e0.1.3u.1.e8.1.3e.1.3a.1.3i.1.2z.1.67.1.j.1.5h.1&bbp.2189.row=2016&bbp.1497.sel=179&bbp.108.sel=148&bbp.845.sel=166&item_id=2011
User-Agent: Mozilla/4.0 (compatible; MSIE 6.0; Windows NT 5.0)

-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@11ba877 = {
m_page = com.arsdigita.cms.ui.ContentItemPage@1974439,
m_request = com.arsdigita.dispatcher.MultipartHttpServletRequest@1b5dc81,
m_response = com.caucho.server.http.HttpResponse@d1287b,
m_pageState = com.arsdigita.bebop.FormData@1b8aff7 = {
m_parameterDataValues = {bbp.2830.d={asc, []}, bbp.2679.sel={null,
[]}, bbp.2424.row={null, []}, bbp.1349.col={null, []},
bbp.1508.sel={null, []}, bbp.2156.sel={null, []}, bbp.31.sel={2001,
[]}, bbp.58.row={null, []}, bbp.2536.row={null, []},
bbp.2524.sel={null, []}, bbp.1611.col={null, []}, bbp.116.col={null,
[]}, bbp.1167.col={null, []}, bbp.1651.row={null, []},
bbp.9.stack={null, []}, bbp.168.sel={null, []}, bbp.2830.c={null, []},
bbp.2536.d={asc, []}, bbp.255.sel={null, []}, bbp.2719.sel={null, []},
bbp.2278.col={null, []}, bbp.2843.mid={null, []}, bbp.799.col={null,
[]}, bbp.2731.sel={null, []}, bbp.687.row={null, []},
bbp.2206.row={null, []}, bbp.299.sel={null, []},
bbp.1012.control={null, []}, bbp.2754.col={null, []},
bbp.697.col={null, []}, moveSection={null, []}, bbp.84.sel={null, []},
bbp.799.row={null, []}, bbp.222.sel={null, []}, bbp.2556.stack={null,
[]}, bbp.2375.sel={null, []}, bbp.1841.sel={null, []},
bbp.1095.col={null, []}, bbp.2032.image_asset={null, []},
bbp.853.col={null, []}, bbp.2108.kw={null, []}, bbp.s={2228, []},
bbp.209.sel={153, []}, bbp.2429.sel={null, []}, bbp.1456.sel={null,
[]}, bbp.2172.sel={null, []}, bbp.1739.sel={1051, []},
bbp.1986.sel={null, []}, bbp.2798.col={null, []}, bbp.2051.kw={null,
[]}, g11n.enc={UTF-8, []}, bbp.1510.sel={null, []}, bbp.42.sel={null,
[]}, bbp.2576.row={null, []}, bbp.2229.row={null, []},
bbp.1595.sel={null, []}, bbp.1651.col={null, []}, bbp.1873.col={null,
[]}, bbp.2407.row={null, []}, bbp.1698.sel={null, []},
bbp.1866.stack={null, []}, bbp.1750.sel={null, []},
bbp.1966.col={null, []}, bbp.2704.sel={null, []}, bbp.2278.row={null,
[]}, bbp.1611.row={null, []}, bbp.938.row={null, []},
bbp.58.col={null, []}, bbp.184.sel={null, []}, bbp.1778.row={null,
[]}, bbp.2754.row={null, []}, bbp.2508.sel={null, []},
bbp.1693.col={null, []}, bbp.2830.o={null, []}, bbp.573.col={null,
[]}, bbp.996.sel={null, []}, bbp.896.row={null, []}, bbp.3.pane={1,
[]}, bbp.2536.o={null, []}, bbp.1505.row={null, []},
bbp.1856.col={null, []}, bbp.252.col={null, []}, bbp.1878.sel={null,
[]}, bbp.2391.sel={null, []}, bbp.1664.sel={null, []},
bbp.1342.type={null, []}, bbp.2038.sel={null, []}, bbp.1535.sel={null,
[]}, bbp.1498.stack={null, []}, bbp.573.row={null, []},
bbp.352.sel={null, []}, bbp.1876.sel={null, []}, bbp.22.col={null,
[]}, bbp.220.sel={null, []}, bbp.2255.chim={null, []},
bbp.2627.row={null, []}, bbp.71.sel={null, []}, bbp.611.row={null,
[]}, bbp.1983.row={null, []}, bbp.2151.row={null, []},
bbp.1865.sel={1057, []}, bbp.163.col={null, []}, bbp.2199.stack={null,
[]}, bbp.515.col={null, []}, bbp.294.col={null, []},
content_type={null, []}, bbp.32.stack={null, []}, bbp.332.row={null,
[]}, bbp.2424.col={null, []}, bbp.2270.kw={null, []},
bbp.2587.col={null, []}, bbp.2843.o={null, []}, bbp.1988.sel={null,
[]}, bbp.943.sel={null, []}, bbp.1574.col={null, []},
bbp.1820.row={null, []}, bbp.e={null, []}, bbp.v={null, []},
bbp.2257.sel={null, []}, bbp.116.row={null, []}, bbp.1983.col={null,
[]}, bbp.265.sel={null, []}, bbp.2627.col={null, []},
bbp.1966.row={null, []}, bbp.2013.sel={null, []}, bbp.1856.row={null,
[]}, bbp.2576.col={null, []}, bbp.993.col={null, []},
bbp.2553.stack={null, []}, bbp.909.sel={null, []}, bbp.349.col={null,
[]}, bbp.1654.sel={null, []}, bbp.1225.col={null, []},
bbp.2251.image_asset={null, []}, bbp.2743.stack={null, []},
bbp.611.col={null, []}, bbp.1628.col={null, []}, bbp.2815.col={null,
[]}, bbp.1975.sel={1062, []}, bbp.1778.col={null, []},
bbp.2695.sel={null, []}, bbp.1820.col={null, []}, bbp.1949.sel={null,
[]}, bbp.315.sel={null, []}, bbp.61.sel={null, []},
bbp.2232.sel={text, []}, bbp.354.sel={null, []}, bbp.2830.col={null,
[]}, bbp.858.sel={null, []}, bbp.39.col={null, []}, bbp.22.row={null,
[]}, bbp.1574.row={null, []}, bbp.1730.col={null, []},
bbp.2617.col={null, []}, bbp.1621.stack={null, []},
bbp.2617.row={null, []}, bbp.2116.col={null, []}, bbp.899.sel={null,
[]}, bbp.2370.row={null, []}, bbp.2838.sel={null, []},
bbp.294.row={null, []}, bbp.1263.col={null, []}, bbp.976.col={null,
[]}, bbp.2206.col={null, []}, bbp.109.stack={null, []},
bbp.44.sel={null, []}, bbp.1825.sel={null, []}, bbp.2151.col={null,
[]}, bbp.846.stack={null, []}, bbp.2503.row={null, []},
bbp.99.col={null, []}, bbp.2427.sel={null, []}, bbp.2229.col={null,
[]}, bbp.217.col={null, []}, bbp.2036.chim={null, []},
bbp.820.sel={null, []}, bbp.443.col={null, []}, bbp.210.stack={null,
[]}, bbp.938.col={null, []}, bbp.1620.sel={1045, []},
bbp.1633.sel={null, []}, bbp.2843.d={asc, []}, bbp.998.sel={null, []},
bbp.443.row={null, []}, bbp.2010.row={null, []}, bbp.1488.col={null,
[]}, bbp.332.col={null, []}, bbp.1532.row={null, []},
bbp.1505.col={null, []}, bbp.217.row={null, []}, bbp.2116.row={null,
[]}, bbp.1263.row={null, []}, bbp.2209.sel={null, []},
bbp.2059.row={null, []}, bbp.2536.col={null, []}, bbp.119.sel={null,
[]}, bbp.856.sel={null, []}, bbp.1451.col={null, []},
bbp.1791.sel={null, []}, bbp.1628.row={null, []}, imageParam={null,
[]}, bbp.2416.sel={1076, []}, bbp.2211.sel={null, []},
bbp.200.col={null, []}, bbp.1579.sel={null, []}, bbp.1752.sel={null,
[]}, bbp.1225.row={null, []}, bbp.252.row={null, []},
bbp.2078.chim={null, []}, bbp.1928.col={null, []}, bbp.2327.kw={null,
[]}, bbp.1747.col={null, []}, bbp.2448.row={null, []},
bbp.1545.sel={null, []}, bbp.2335.col={null, []}, bbp.804.sel={null,
[]}, bbp.2851.sel={null, []}, bbp.7.stack={null, []}, textParam={null,
[]}, bbp.836.row={null, []}, bbp.1532.col={null, []},
bbp.1488.row={null, []}, bbp.368.control={null, []},
bbp.2308.sel={null, []}, bbp.515.row={null, []}, bbp.1693.row={null,
[]}, bbp.342.stack={null, []}, bbp.1747.row={null, []},
bbp.1933.sel={null, []}, bbp.2587.row={null, []}, bbp.341.sel={159,
[]}, bbp.121.sel={null, []}, bbp.959.sel={null, []},
bbp.1095.row={null, []}, bbp.2198.sel={1070, []}, bbp.1730.row={null,
[]}, bbp.2023.sel={null, []}, bbp.2765.sel={null, []},
bbp.2370.col={null, []}, bbp.2089.sel={null, []}, bbp.896.col={null,
[]}, bbp.99.row={null, []}, bbp.200.row={null, []},
bbp.2790.stack={null, []}, bbp.2798.row={null, []},
bbp.2242.sel={null, []}, bbp.163.row={null, []}, bbp.976.row={null,
[]}, bbp.1740.stack={null, []}, bbp.2448.col={null, []},
bbp.853.row={null, []}, bbp.2407.col={null, []}, bbp.2663.sel={null,
[]}, bbp.985.sel={172, []}, bbp.986.stack={null, []},
bbp.1781.sel={null, []}, bbp.8.stack={null, []}, bbp.2010.col={null,
[]}, bbp.1631.sel={null, []}, bbp.1017.type={null, []},
bbp.2189.col={1, []}, bbp.993.row={null, []}, bbp.2815.row={null, []},
bbp.373.type={null, []}, bbp.2417.stack={null, []}, bbp.39.row={null,
[]}, bbp.1451.row={null, []}, bbp.349.row={null, []},
return_url={null, []}, bbp.1167.row={null, []}, bbp.1873.row={null,
[]}, bbp.690.type={null, []}, bbp.i={{4, 5, 16, 92, 192, 323, 828,
967, 1480, 1603, 1722, 1849, 1957, 2181, 2201, 2226, 2228, 2399}, []},
bbp.2297.chim={null, []}, bbp.1714.sel={null, []}, bbp.2189.row={2016,
[]}, bbp.836.col={null, []}, bbp.2059.col={null, []},
bbp.1472.sel={null, []}, bbp.2843.col={null, []}, bbp.1497.sel={179,
[]}, bbp.108.sel={148, []}, bbp.1976.stack={null, []},
bbp.2335.row={null, []}, bbp.845.sel={166, []}, bbp.2503.col={null,
[]}, item_id={2011, []}, bbp.1339.row={null, []}, bbp.1928.row={null,
[]}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@28a7f7,
m_locale = en_US,
m_isTransformed = true,
m_isValid = true,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = {4, 6, 7, 8, 9, 10, 17, 33, 34, 35, 38, 56, 57, 93, 94,
110, 111, 112, 115, 160, 193, 194, 195, 211, 212, 213, 216, 250, 251,
291, 324, 325, 326, 327, 343, 344, 345, 348, 370, 371, 382, 383, 384,
385, 386, 387, 388, 389, 390, 391, 392, 393, 689, 702, 703, 704, 705,
706, 796, 829, 830, 831, 847, 848, 849, 852, 894, 895, 935, 968, 969,
970, 971, 987, 988, 989, 992, 1014, 1015, 1034, 1035, 1036, 1037,
1038, 1039, 1040, 1041, 1042, 1043, 1044, 1045, 1341, 1354, 1355,
1356, 1357, 1358, 1448, 1481, 1482, 1483, 1499, 1500, 1501, 1504,
1530, 1531, 1571, 1604, 1605, 1606, 1622, 1623, 1624, 1627, 1649,
1650, 1690, 1723, 1724, 1725, 1741, 1742, 1743, 1746, 1776, 1777,
1817, 1850, 1851, 1867, 1868, 1869, 1872, 1925, 1958, 1959, 1960,
1961, 1977, 1978, 1979, 1982, 2008, 2009, 2035, 2036, 2050, 2076,
2077, 2078, 2107, 2148, 2180, 2182, 2183, 2184, 2200, 2202, 2205,
2226, 2227, 2254, 2255, 2269, 2295, 2296, 2297, 2326, 2367, 2400,
2401, 2402, 2418, 2419, 2420, 2423, 2443, 2444, 2445, 2446, 2500,
2548, 2549, 2550, 2551, 2552, 2554, 2555, 2556, 2557, 2558, 2559,
2560, 2594, 2595, 2596, 2597, 2738, 2739, 2740, 2741, 2744, 2745,
2788, 2789, 2790, 2808, 2809, 2823}
}
com.arsdigita.bebop.RequestLocal:
{com.arsdigita.cms.ui.authoring.TextPageBody$2@14906b9=[com.arsdigita.cms.TextAsset:{id=3001}]U,
com.arsdigita.bebop.Form$2@6a906f=,
com.arsdigita.cms.ui.ContentItemPage$ItemRequestLocal@8b2c94=[com.arsdigita.cms.contenttypes.Article:{id=2011}]U,
com.arsdigita.kernel.ui.ACSObjectSelectionModel$1@19532fe=true}
com.arsdigita.cms.dispatcher.section:
[com.arsdigita.cms.ContentSection:{id=64}]
com.arsdigita.dispatcher.OriginalRequest:
com.caucho.server.http.DispatchRequest@70c52d
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@531740
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@f7bd29=null}
com.arsdigita.dispatcher.WrappedRequest:
com.arsdigita.dispatcher.MultipartHttpServletRequest@1b5dc81
com.arsdigita.kernel.ACSObject:2011:
[com.arsdigita.cms.contenttypes.Article:{id=2011}]U
com.arsdigita.web.BaseApplicationServlet.application_id: 64
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url:
/ccm/articles/admin/item.jsp?text_entry=%3CP%3EThis+is+the+body+text%3C%2FP%3E%0D%0A%3CP%3E%26nbsp%3B%3C%2FP%3E&bbp.3.pane=1&bbp.2830.d=asc&bbp.s=2228&bbp.209.sel=153&bbp.31.sel=2001&bbp.2189.col=1&bbp.341.sel=159&bbp.1739.sel=1051&bbp.2416.sel=1076&form.PageTextForm=visited&bbp.2198.sel=1070&bbp.2536.d=asc&g11n.enc=UTF-8&save=%C3%82%C2%A0%C3%82%C2%A0%C3%82%C2%A0Save%C3%82%C2%A0%C3%82%C2%A0%C3%82%C2%A0&bbp.i=d0.4.2.a.1.23.1.2r.1.3m.1.e0.1.3u.1.e8.1.3e.1.3a.1.3i.1.2z.1.67.1.j.1.o.1.1.1.4q.1&mime_type=text%2Fhtml&bbp.2189.row=2016&bbp.1975.sel=1062&bbp.1620.sel=1045&bbp.1497.sel=179&bbp.108.sel=148&bbp.1865.sel=1057&bbp.2843.d=asc&bbp.845.sel=166&item_id=2011&bbp.2232.sel=text&bbp.985.sel=172

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/articles/admin/item.jsp
Query string: null
Method: POST
Remote user: null

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: ag2B7DD0qd0g (expires: -1)
ad_user_login: 2003!1074184320565!nx/vMPjQFTyrXh1Euuibpg== (expires: -1)
-*-*-*-*-*- End Error Report -*-*-*-*-*-
Comment 1 Jon Orris 2004-01-15 11:26:21 EST
To clarify, this isn't creating an article. This is authoring an
article and adding Body Text.
Comment 2 Jon Orris 2004-01-15 11:33:24 EST
Developer support sql log:
-- ID: #1
-- Duration: 1ms
select u.user_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4,
       p.primary_email as c_5,
       p.uri as c_6,
       u.screen_name as c_7
from users u
     join acs_objects ao on ao.object_id = u.user_id
     join parties p on p.party_id = u.user_id
where u.user_id = '2003';


-- ID: #2
-- Duration: 3ms
select a.application_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4,
       a.title as c_5,
       a.description as c_6,
       a.timestamp as c_7,
       a.application_type_id as c_8,
       resourceType__at_.workspace_application_p as c_9,
       resourceType__at_.has_full_page_view_p as c_10,
       resourceType__at_.has_embedded_view_p as c_11,
       resourceType__at_.singleton_p as c_12,
       resourceType__at_.title as c_13,
       a.parent_application_id as c_14,
       parentResource__ao.object_type as c_15,
       parentResource__ao.default_domain_class as c_16,
       parentResource__a.title as c_17,
       a.primary_url as c_18
from applications a
     join acs_objects ao on ao.object_id = a.application_id
     join application_types resourceType__at_ on
resourceType__at_.application_type_id = a.application_type_id
     left join acs_objects parentResource__ao on
parentResource__ao.object_id = a.parent_application_id
     left join applications parentResource__a on
parentResource__a.application_id = a.parent_application_id
where (a.primary_url = '/articles/admin/');


-- ID: #3
-- Duration: 3ms
select a.application_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4,
       a.title as c_5,
       a.description as c_6,
       a.timestamp as c_7,
       a.application_type_id as c_8,
       resourceType__at_.workspace_application_p as c_9,
       resourceType__at_.has_full_page_view_p as c_10,
       resourceType__at_.has_embedded_view_p as c_11,
       resourceType__at_.singleton_p as c_12,
       resourceType__at_.title as c_13,
       a.parent_application_id as c_14,
       parentResource__ao.object_type as c_15,
       parentResource__ao.default_domain_class as c_16,
       parentResource__a.title as c_17,
       a.primary_url as c_18
from applications a
     join acs_objects ao on ao.object_id = a.application_id
     join application_types resourceType__at_ on
resourceType__at_.application_type_id = a.application_type_id
     left join acs_objects parentResource__ao on
parentResource__ao.object_id = a.parent_application_id
     left join applications parentResource__a on
parentResource__a.application_id = a.parent_application_id
where a.application_id = '64';


-- ID: #4
-- Duration: 5ms
select cf.folder_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4,
       vo.is_deleted as c_5,
       ci.version as c_6,
       ci.name as c_7,
       ci.language as c_8,
       ci.ancestors as c_9,
       cf.label as c_10
from cms_folders cf
     join acs_objects ao on ao.object_id = cf.folder_id
     join vc_objects vo on vo.object_id = cf.folder_id
     join cms_items ci on ci.item_id = cf.folder_id
     join content_sections start____cs on start____cs.section_id = '64'
where start____cs.root_folder_id = cf.folder_id;


-- ID: #5
-- Duration: 4ms
select ci.item_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4,
       vo.is_deleted as c_5,
       ci.version as c_6,
       ci.name as c_7,
       ci.language as c_8,
       ci.ancestors as c_9
from cms_items ci
     join acs_objects ao on ao.object_id = ci.item_id
     join vc_objects vo on vo.object_id = ci.item_id
where ci.master_id = '60' and ci.item_id = ci.item_id and (ci.version
= 'live');


-- ID: #6
-- Duration: 3ms
select st_.permission_p as c_1
from (
	select 1 as permission_p from dual) st_
where ( exists ( 
	select 1 as permission_p 
	  from dnm_object_1_granted_context dogc,
	       dnm_granted_context dgc,
	       dnm_permissions dp,
	       dnm_group_membership dgm
          where dogc.pd_object_id = '64'
	    and dogc.pd_context_id = dgc.pd_object_id
	    and dgc.pd_context_id = dp.pd_object_id
	    and dgm.pd_member_id = '2003'
	    and dp.pd_grantee_id = dgm.pd_group_id and  pd_priv_01 = 1 ));


-- ID: #7
-- Duration: 2ms
select ci.item_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4,
       vo.is_deleted as c_5,
       ci.version as c_6,
       ci.name as c_7,
       ci.language as c_8,
       ci.ancestors as c_9
from cms_items ci
     join acs_objects ao on ao.object_id = ci.item_id
     join vc_objects vo on vo.object_id = ci.item_id
where ci.item_id = '2011';


-- ID: #8
-- Duration: 4ms
select st_.permission_p as c_1
from (
	select 1 as permission_p from dual) st_
where ( exists ( 
	select 1 as permission_p 
	  from dnm_object_1_granted_context dogc,
	       dnm_granted_context dgc,
	       dnm_permissions dp,
	       dnm_group_membership dgm
          where dogc.pd_object_id = '2011'
	    and dogc.pd_context_id = dgc.pd_object_id
	    and dgc.pd_context_id = dp.pd_object_id
	    and dgm.pd_member_id = '2003'
	    and dp.pd_grantee_id = dgm.pd_group_id and  pd_priv_11 = 1 ));


-- ID: #9
-- Duration: 1ms
select st_.object_type as c_1,
       st_.object_id as c_2,
       st_.process_def_id as c_3,
       st_.process_id as c_4
from (
        select cw_processes.process_id
        ,      acs_objects.object_type
        ,      cw_processes.object_id as object_id
        ,      cw_processes.process_def_id
        from cw_processes , acs_objects
        where cw_processes.object_id = acs_objects.object_id) st_
where (st_.object_id = '2011');


-- ID: #10
-- Duration: 3ms
select cp.process_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4,
       ct.label as c_5,
       ct.description as c_6,
       ct.is_active as c_7,
       ct.parent_task_id as c_8,
       ct.task_state as c_9,
       cp.process_def_id as c_10,
       cp.process_state as c_11
from cw_processes cp
     join acs_objects ao on ao.object_id = cp.process_id
     join cw_tasks ct on ct.task_id = cp.process_id
where cp.process_id = '2013';


-- ID: #11
-- Duration: 1ms
select st_.object_id as c_1
from (
        select object_id from acs_auditing) st_
where (st_.object_id='2013');


-- ID: #12
-- Duration: 1ms
select aa.object_id as c_1,
       aa.creation_date as c_2,
       aa.creation_ip as c_3,
       aa.last_modified as c_4,
       aa.modifying_ip as c_5
from acs_auditing aa
where aa.object_id = '2013';


-- ID: #13
-- Duration: 2ms
select ao.object_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4
from acs_objects ao
     join cw_processes start____cp on start____cp.process_id = '2013'
where start____cp.object_id = ao.object_id;


-- ID: #14
-- Duration: 2ms
select st_.task_id as c_1,
       st_.due_date as c_2,
       st_.is_active as c_3,
       st_.task_state as c_4,
       st_.user_id as c_5,
       st_.parent_task_id as c_6,
       st_.is_locked as c_7,
       st_.start_date as c_8
from (
        select cw_task_user_assignees.user_id ,
               cw_user_tasks.task_id ,
               cw_user_tasks.due_date ,
               cw_user_tasks.start_date ,
               cw_user_tasks.is_locked  ,
               cw_tasks.task_state      ,
               cw_tasks.is_active       ,
	       cw_tasks.parent_task_id
        from   cw_task_user_assignees ,
               cw_user_tasks ,
               cw_tasks 
	where  cw_user_tasks.task_id = cw_task_user_assignees.task_id
        and    cw_tasks.task_id = cw_user_tasks.task_id) st_
where (st_.user_id = '2003') and (st_.parent_task_id = '2013') and
(st_.task_state = 'enabled') and (st_.is_active = '1');


-- ID: #15
-- Duration: 2ms
select st_.task_id as c_1,
       st_.due_date as c_2,
       st_.is_active as c_3,
       st_.task_state as c_4,
       st_.parent_task_id as c_5,
       st_.group_id as c_6,
       st_.start_date as c_7
from (
        select cw_task_group_assignees.group_id , 
               cw_tasks.task_id    ,
               cw_tasks.is_active  ,
               cw_tasks.task_state ,
               cw_user_tasks.due_date   ,
               cw_user_tasks.start_date ,
	       cw_tasks.parent_task_id 
        from cw_task_group_assignees
        ,    cw_tasks
        ,    cw_user_tasks
        where cw_task_group_assignees.task_id = cw_tasks.task_id
        and   cw_user_tasks.task_id = cw_tasks.task_id) st_
where (st_.parent_task_id = '2013') and (st_.is_active = '1') and
(st_.task_state = 'enabled');


-- ID: #16
-- Duration: 2ms
select g_.group_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4,
       p.primary_email as c_5,
       p.uri as c_6,
       g_.name as c_7
from groups g_
     join acs_objects ao on ao.object_id = g_.group_id
     join parties p on p.party_id = g_.group_id
where g_.group_id = '104';


-- ID: #17
-- Duration: 2ms
select count(*)
from (
select 1
from (
        select member_id
        from group_member_trans_map
        where group_id = '104') st_
where (st_.member_id = '2003')
) count__;


-- ID: #18
-- Duration: 1ms
select ct.task_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4,
       ct.label as c_5,
       ct.description as c_6,
       ct.is_active as c_7,
       ct.parent_task_id as c_8,
       ct.task_state as c_9
from cw_tasks ct
     join acs_objects ao on ao.object_id = ct.task_id
where ct.task_id = '2016';


-- ID: #19
-- Duration: 1ms
select st_.object_id as c_1
from (
        select object_id from acs_auditing) st_
where (st_.object_id='2016');


-- ID: #20
-- Duration: 1ms
select aa.object_id as c_1,
       aa.creation_date as c_2,
       aa.creation_ip as c_3,
       aa.last_modified as c_4,
       aa.modifying_ip as c_5
from acs_auditing aa
where aa.object_id = '2016';


-- ID: #21
-- Duration: 1ms
select ct.task_id as c_1,
       cut.locking_user_id as c_2,
       cut.is_locked as c_3,
       cut.start_date as c_4,
       cut.due_date as c_5,
       cut.duration_minutes as c_6,
       cut.notification_sender_id as c_7
from cms_tasks ct
     join cw_user_tasks cut on cut.task_id = ct.task_id
where '2016' = ct.task_id;


-- ID: #22
-- Duration: 19ms
select ct.text_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4,
       vo.is_deleted as c_5,
       ci.version as c_6,
       ci.name as c_7,
       ci.language as c_8,
       ci.ancestors as c_9,
       ca.description as c_10,
       ct.content as c_11
from cms_text ct
     join acs_objects ao on ao.object_id = ct.text_id
     join vc_objects vo on vo.object_id = ct.text_id
     join cms_items ci on ci.item_id = ct.text_id
     join cms_assets ca on ca.asset_id = ct.text_id
     join cms_text_pages start____ctp on start____ctp.item_id = '2011'
where start____ctp.text_id = ct.text_id;


-- ID: #23
-- Duration: 1ms
select ca.item_id as c_1,
       cp.title as c_2,
       cp.launch_date as c_3
from ct_articles ca
     join cms_pages cp on cp.item_id = ca.item_id
where '2011' = ca.item_id;


-- ID: #24
-- Duration: 9ms
insert into acs_objects
(display_name, object_id, default_domain_class, object_type)
values
('testarticle_text_2011', '3002', 'com.arsdigita.cms.TextAsset',
'com.arsdigita.cms.TextAsset');


-- ID: #25
-- Duration: 2ms
insert into vc_objects
(is_deleted, object_id)
values
('false', '3002');


-- ID: #26
-- Duration: 33ms
insert into cms_items
(item_id, ancestors, name, version)
values
('3002', '2012/2011/3002/', 'testarticle_text_2011', 'draft');


-- ID: #27
-- Duration: 2ms
insert into cms_assets
(asset_id)
values
('3002');


-- ID: #28
-- Duration: 2ms
insert into cms_text
(text_id)
values
('3002');


-- ID: #29
-- Duration: 1ms
update vc_objects
set master_id = null
where vc_objects.object_id = '3002';


-- ID: #30
-- Duration: 2ms
update cms_items
set parent_id = '2011'
where cms_items.item_id = '3002';


-- ID: #31
-- Duration: 1ms
insert into vcx_txns
(id, modifying_ip, timestamp)
values
('18', '172.16.64.171', 'Thu Jan 15 11:33:44 EST 2004');


-- ID: #32
-- Duration: 1ms
update vcx_txns
set modifying_user = '2003'
where vcx_txns.id = '18';


-- ID: #33
-- Duration: 1ms
insert into vcx_obj_changes
(obj_id, txn_id, id)
values
('com.arsdigita.cms.TextAsset;id:1:3002', '18', '501');


-- ID: #34
-- Duration: 3ms
insert into vcx_operations
(id, event_type_id, change_id, class_id, subtype, attribute)
values
('502', '1', '501', '12', '1', 'com.arsdigita.cms.TextAsset');


-- ID: #35
-- Duration: 7ms
insert into vcx_generic_operations
(value, id)
values
('com.arsdigita.cms.TextAsset;id:1:3002', '502');


-- ID: #36
-- Duration: 1ms
update vcx_operations
set change_id = '501'
where vcx_operations.id = '502';


-- ID: #37
-- Duration: 1ms
insert into vcx_obj_changes
(obj_id, txn_id, id)
values
('com.arsdigita.cms.contenttypes.Article;id:1:2011', '18', '503');


-- ID: #38
-- Duration: 1ms
insert into vcx_operations
(id, event_type_id, change_id, class_id, subtype, attribute)
values
('504', '3', '503', '12', '1', 'contentChildren');


-- ID: #39
-- Duration: 2ms
insert into vcx_generic_operations
(value, id)
values
('com.arsdigita.cms.TextAsset;id:1:3002', '504');


-- ID: #40
-- Duration: 1ms
update vcx_operations
set change_id = '503'
where vcx_operations.id = '504';


-- ID: #41
-- Duration: 2ms
select ci.item_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4,
       vo.is_deleted as c_5,
       ci.version as c_6,
       ci.name as c_7,
       ci.language as c_8,
       ci.ancestors as c_9
from cms_items ci
     join acs_objects ao on ao.object_id = ci.item_id
     join vc_objects vo on vo.object_id = ci.item_id
where ci.master_id = '2011' and ci.item_id = ci.item_id and
(ci.version = 'live');


-- ID: #42
-- Duration: 1ms
select ct.type_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4,
       ct.object_type as c_5,
       ct.label as c_6,
       ct.description as c_7,
       ct.classname as c_8,
       ct.is_internal as c_9,
       ct.item_form_id as c_10
from content_types ct
     join acs_objects ao on ao.object_id = ct.type_id
where (ct.object_type = 'com.arsdigita.cms.TextAsset');


-- ID: #43
-- Duration: 7ms
select cs.section_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4,
       a.title as c_5,
       a.description as c_6,
       a.timestamp as c_7,
       a.application_type_id as c_8,
       resourceType__at_.workspace_application_p as c_9,
       resourceType__at_.has_full_page_view_p as c_10,
       resourceType__at_.has_embedded_view_p as c_11,
       resourceType__at_.singleton_p as c_12,
       resourceType__at_.title as c_13,
       a.parent_application_id as c_14,
       parentResource__ao.object_type as c_15,
       parentResource__ao.default_domain_class as c_16,
       parentResource__a.title as c_17,
       a.primary_url as c_18,
       cs.pretty_name as c_19,
       cs.page_resolver_class as c_20,
       cs.item_resolver_class as c_21,
       cs.template_resolver_class as c_22,
       cs.xml_generator_class as c_23
from content_sections cs
     join acs_objects ao on ao.object_id = cs.section_id
     join applications a on a.application_id = cs.section_id
     join application_types resourceType__at_ on
resourceType__at_.application_type_id = a.application_type_id
     left join acs_objects parentResource__ao on
parentResource__ao.object_id = a.parent_application_id
     left join applications parentResource__a on
parentResource__a.application_id = a.parent_application_id
     join cms_items start____ci on start____ci.item_id = '3002'
where start____ci.section_id = cs.section_id;


-- ID: #44
-- Duration: 1ms
select oc.object_id as c_1
from object_context oc
where oc.object_id = '3002';


-- ID: #45
-- Duration: 1ms
select ao.object_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4
from acs_objects ao
     join object_context start____oc on start____oc.object_id = '3002'
where start____oc.context_id = ao.object_id;


-- ID: #46
-- Duration: 22ms
update object_context
set context_id = '2011'
where object_context.object_id = '3002';


-- ID: #47
-- Duration: 2ms
select ci.item_id as c_1,
       ao.object_type as c_2,
       ao.display_name as c_3,
       ao.default_domain_class as c_4,
       vo.is_deleted as c_5,
       ci.version as c_6,
       ci.name as c_7,
       ci.language as c_8,
       ci.ancestors as c_9
from cms_items ci
     join acs_objects ao on ao.object_id = ci.item_id
     join vc_objects vo on vo.object_id = ci.item_id
where ci.master_id = '3002' and ci.item_id = ci.item_id and
(ci.version = 'live');


-- ID: #48
-- Duration: 1ms
select oc.object_id as c_1
from object_context oc
where oc.object_id = '3002';


-- ID: #49
-- Duration: 39ms
update object_context
set context_id = '2011'
where object_context.object_id = '3002';


-- ID: #50
-- Duration: 0ms
select pn.name_id as c_1,
       pn.given_name as c_2,
       pn.middle_names as c_3,
       pn.family_name as c_4
from person_names pn
     join users start____u on start____u.user_id = '2003'
where start____u.name_id = pn.name_id;



Note You need to log in before you can comment on or make changes to this bug.